%define upstream_name Object-Persistence
%define upstream_version 0.92

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Object-Persistence module for perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch


%description
This module provides persistence functionality to its objects.  Object
definitions are stored as stringified perl data structures, generated with
Data::Dumper, that are amenable to manual editing and external processing from
outside the class interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes 
%{perl_vendorlib}/Persistence/Database.pm
%{perl_vendorlib}/Persistence/Object
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.920.0-7.mga10
+ Revision: 2200054
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.920.0-6.mga9
+ Revision: 1805021
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.920.0-5.mga8
+ Revision: 1496176
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.920.0-4.mga7
+ Revision: 1270221
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.920.0-3.mga6
+ Revision: 1031466
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.920.0-2.mga6
+ Revision: 968798
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.920.0-1.mga6
+ Revision: 855423
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.92-10.mga5
+ Revision: 750742
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.92-9.mga5
+ Revision: 685785
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.92-8.mga4
+ Revision: 513750
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.92-7.mga3
+ Revision: 371099
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.92-6.mga1
+ Revision: 30990
- mageia rebuild
- imported package perl-Object-Persistence


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.92-6mdv2010.0
+ Revision: 430517
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.92-5mdv2009.0
+ Revision: 258145
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.92-4mdv2009.0
+ Revision: 246258
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.92-2mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.92-2mdv2007.0
+ Revision: 107888
- rebuilt
- using mkrel
- Import perl-Object-Persistence

* Fri Jul 15 2005 Andreas Hasenack <andreas@mandriva.com> 0.92-1mdk
- initial Mandriva package

